> This page is for API, version 2026-01-01 (Stable) (default).
> For other versions, use one of these documentation indexes:
> - 2026-01-01 (Stable) (default): https://developer.deel.com/api/stable/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.deel.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.deel.com/_mcp/server.

## Added

* **Apps** → [List App Store categories](/api/reference/endpoints/apps/list-app-store-categories-v-2026-11-10): Endpoint is now available, which allows to list App Store categories and their identifiers for use when configuring a listing.

* **Apps** → [List apps](/api/reference/endpoints/apps/list-apps-v-2026-11-10): Endpoint is now available, which allows to list the integration apps that belong to your organization.

* **Apps** → [Retrieve an app](/api/reference/endpoints/apps/get-app-by-id-v-2026-11-10): Endpoint is now available, which allows to retrieve a single integration app that belongs to your organization.

* **Apps** → [Update an app](/api/reference/endpoints/apps/update-app-by-id-v-2026-11-10): Endpoint is now available, which allows to update an integration app's name, description, website, or redirect URLs.

* **Apps** → [Enable an app](/api/reference/endpoints/apps/enable-app-by-id-v-2026-11-10): Endpoint is now available, which allows to enable an integration app that belongs to your organization so it can obtain tokens again.

* **Apps** → [Disable an app](/api/reference/endpoints/apps/disable-app-by-id-v-2026-11-10): Endpoint is now available, which allows to disable an integration app that belongs to your organization so it can no longer obtain tokens, revoking all consents and tokens issued to it.

* **Time Tracking Shifts** → [Update multiple shifts](/api/reference/endpoints/time-tracking-shifts/update-multiple-shifts-v-2026-11-10): Endpoint is now available, which allows to update multiple shifts of a single Global Payroll contract in bulk.

* **Immigration** → [Get the worker onboarding case](/api/reference/endpoints/immigration/get-worker-onboarding-case-v-2026-11-10): Endpoint is now available, which allows to retrieve the newest onboarding immigration case of the worker behind the token.

* **Immigration** → [Get a case](/api/reference/endpoints/immigration/get-case-v-2026-11-10): Endpoint is now available, which allows to retrieve a single immigration case by its unique identifier.

* **Immigration** → [List immigration cases](/api/reference/endpoints/immigration/list-cases-v-2026-11-10): Endpoint is now available, which allows to list immigration cases the token can see, newest first.

* **Immigration** → [Upload documents for a document request](/api/reference/endpoints/immigration/upload-document-request-documents-v-2026-11-10): Endpoint is now available, which allows to upload files for a pending compliance document request.

* **Immigration** → [Get the case document request](/api/reference/endpoints/immigration/get-case-document-request-v-2026-11-10): Endpoint is now available, which allows to retrieve the compliance document request for an immigration case, including the document details and status.

* **Immigration** → [Get a document](/api/reference/endpoints/immigration/get-document): Endpoint is now available, which allows to retrieve an immigration document, follow its review status, or download it.

## Changed

* **Adjustments** → [Retrieve an adjustment](/api/reference/endpoints/adjustments/get-contract-adjustment): Added `deel_review` in the response that provides the latest Deel review outcome for an EOR adjustment, including review status, reason, and reviewer details.

* **Ats Jobs** → [Retrieve a list of ATS jobs](/api/reference/endpoints/ats-jobs/retrieve-a-list-of-ats-jobs): Added `hiring_member_role_ids` as a query parameter that narrows `hiring_member_hou_ids` results to jobs where those people hold specific roles.

* **Immigration** → [List visa types](/api/reference/endpoints/immigration/get-visa-types): Added `sponsorship`, `visa_category`, and `estimated_timeline` response fields that indicate who can sponsor the visa, its category (work permit or business visa), and the estimated processing time.

* **Eor Amendments** → [Submit contract amendment for review](/api/reference/endpoints/eor-amendments/confirm-contract-amendment): Added `SOLVE_LEGAL` and `LEGAL_JIRA_REOPENED` as valid values for `legal_context.status` in the response.